# ipmi.lan.update

Update IPMI channel configuration

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: channel

#### channel

Type: integer

IPMI LAN channel number to update.

##### Parameter 2: data

#### data

IPMI LAN configuration data (DHCP or static IP).

## One of

#### IPMILanUpdateOptionsDHCP

Type: object
No Additional Properties

##

#### Dhcp

Type: const

Turn on DHCP protocol for IP address management.

Specific value: `true`

##

#### Password

Default: null

The password to be applied. Must be between 8 and 16 characters long and contain only ascii upper,lower, 0-9, and special characters.

## Any of

Type: string
Type: null

##

#### Vlan

Default: null

The vlan tag number. A null value disables tagging.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `4096`

Type: null

##

#### Apply Remote

Type: boolean Default: false

If on an HA system, and this field is set to True, the settings will be sent to the remote controller.

#### IPMILanUpdateOptionsStatic

Type: object
No Additional Properties

##

#### Dhcp

Type: const

Provide a static IP address.

Specific value: `false`

##

#### Password

Default: null

The password to be applied. Must be between 8 and 16 characters long and contain only ascii upper,lower, 0-9, and special characters.

## Any of

Type: string
Type: null

##

#### Vlan

Default: null

The vlan tag number. A null value disables tagging.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `4096`

Type: null

##

#### Apply Remote

Type: boolean Default: false

If on an HA system, and this field is set to True, the settings will be sent to the remote controller.

##

#### Ipaddress

Type: string

The IPv4 address in the form of `192.168.1.150`.

##

#### Netmask

Type: string

The netmask in the form of `255.255.255.0`.

##

#### Gateway

Type: string

The gateway in the form of `192.168.1.1`.

##

#### Result

Type: integer

Returns the channel number that was updated.

Required roles: IPMI_WRITE